﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 加速のスキルを受ける側
	/// (移動速度が上昇する)
	/// </summary>
	public class AccelerationAbility : thrts.AbilityTemplate
	{
		public const string AbilityName = "加速";

		public AccelerationAbility()
		{
			Name = AbilityName;
			DurationTime = 1 * 30;
		}
		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					break;
				case thrts.AbilityOrder.RateIncParam:
					{
						unit.Speed = unit.Speed * 1.25f;
					}
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
