﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 反魂アビリティ
	/// (持っている時に死ぬと転向蘇生)
	/// </summary>
	class ResurrectionAbility: thrts.AbilityTemplate
	{
		public const string AbilityName = "反魂";

		public thrts.IFaction TargetFaction { get; private set; }
		public ResurrectionAbility(thrts.IFaction targetFaction)
		{
			Name = AbilityName;
			DurationTime = 1 * 3;
			TargetFaction = targetFaction;
		}

		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					break;
				case thrts.AbilityOrder.RateIncParam:
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
