﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 無効のスキルを受ける側
	/// (これ自体は何もしないが、無効を持っていると特定のスキルの発動確率が減少する)
	/// </summary>
	class VoidAbility : thrts.AbilityTemplate
	{
		public const string AbilityName = "無効";

		public VoidAbility()
		{
			Name = AbilityName;
			DurationTime = 1 * 30;
		}
		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					break;
				case thrts.AbilityOrder.RateIncParam:
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
