﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Bomb
{
	public class Wind : thrts.ButtonParameter<thrts.IBuilding>
	{
		bool used = false;

		public Wind()
		{
			Position = Tuple.Create(thrts.ButtonPosition._2, thrts.ButtonPosition._3);
			ButtonImagePath = "PatchSto/Image/Button/Wind";
			ButtonName = "風符";

			Kind = thrts.ButtonKind.Normal;

			NormalButtonEvent = (building, isAppend) =>
			{
				if (used) return;

				var library = building.Parameter as Building.Library;

				library.WindTime = 10 * thrts.Def.FPS;

				// 無理やりカットイン表示
				var fu = building.Faction.World.UnitManager.GetUnits(_ => _.Exists()).FirstOrDefault();
				if (fu != null)
				{
					fu.ShowCutin();
				}

				used = true;
			};

			MouseOverTextFunc = (faction) =>
				{
					thrts.ColorTextLine l0 = new thrts.ColorTextLine("一定時間、全てのユニットの速度を上昇させる。");
					return new thrts.ColorTextLine[] { l0 };
				};
		
			CanExecute = (faction, _, building) =>
			{
				return new thrts.ExecutableInfo(!used, new thrts.ColorTextLine("使用済みです。"));
			};
		}
	}
}
