﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using thrts;

namespace PatchSto.SoundEffect
{
	public class BreakBuildingSE : SoundEffectParameter
	{
		public BreakBuildingSE()
		{
			Path = "LotusCraft/SoundEffect/BreakBuilding.wav";
			Count = 16;
		}
	}

	public class ChooseUnit : SoundEffectParameter
	{
		public ChooseUnit()
		{
			Path = "LotusCraft/SoundEffect/ChooseUnit.wav";
			Count = 16;
		}
	}
	public class Click : SoundEffectParameter
	{
		public Click()
		{
			Path = "LotusCraft/SoundEffect/Click.wav";
			Count = 16;
		}
	}
	public class CreatedBuilding : SoundEffectParameter
	{
		public CreatedBuilding()
		{
			Path = "LotusCraft/SoundEffect/CreatedBuilding.wav";
			Count = 16;
		}
	}
	public class CreatedUnit : SoundEffectParameter
	{
		public CreatedUnit()
		{
			Path = "LotusCraft/SoundEffect/CreatedUnit.wav";
			Count = 16;
		}
	}
	public class Charge1 : SoundEffectParameter
	{
		public Charge1()
		{
			Path = "LotusCraft/SoundEffect/chage03.wav";
			Count = 4;
		}
	}
	public class Charge2 : SoundEffectParameter
	{
		public Charge2()
		{
			Path = "LotusCraft/SoundEffect/warp02.wav";
			Count = 4;
		}
	}
	public class EndCharge : SoundEffectParameter
	{
		public EndCharge()
		{
			Path = "LotusCraft/SoundEffect/EndCharge.wav";
			Count = 4;
		}
	}
	public class EndResearch : SoundEffectParameter
	{
		public EndResearch()
		{
			Path = "LotusCraft/SoundEffect/EndResearch.wav";
			Count = 4;
		}
	}
	public class EndRevolution : SoundEffectParameter
	{
		public EndRevolution()
		{
			Path = "LotusCraft/SoundEffect/EndRevolution.wav";
			Count = 4;
		}
	}
	public class FailedClick : SoundEffectParameter
	{
		public FailedClick()
		{
			Path = "LotusCraft/SoundEffect/FailedClick.wav";
			Count = 1;
		}
	}
	public class Fire : SoundEffectParameter
	{
		public Fire()
		{
			Path = "LotusCraft/SoundEffect/fire01.wav";
			Count = 8;
		}
	}
	public class HitLongRangeAttack : SoundEffectParameter
	{
		public HitLongRangeAttack()
		{
			Path = "LotusCraft/SoundEffect/HitLongRangeAttack.wav";
			Count = 48 * 8;
		}
	}
	public class HitShortRangeAttack : SoundEffectParameter
	{
		public HitShortRangeAttack()
		{
			Path = "LotusCraft/SoundEffect/HitShortRangeAttack.wav";
			Count = 48 * 8;
		}
	}

	public class HitDageki : SoundEffectParameter
	{
		public HitDageki()
		{
			Path = "LotusCraft/SoundEffect/Hit_dageki.wav";
			Count = 48 * 8;
		}
	}

	public class HitZangeki : SoundEffectParameter
	{
		public HitZangeki()
		{
			Path = "LotusCraft/SoundEffect/Hit_zangeki.wav";
			Count = 48 * 8;
		}
	}

	public class HitOther : SoundEffectParameter
	{
		public HitOther()
		{
			Path = "LotusCraft/SoundEffect/Hit_other.wav";
			Count = 48;
		}
	}

	public class PCH : SoundEffectParameter
	{
		public PCH()
		{
			Path = "LotusCraft/SoundEffect/PCH.wav";
			Count = 16;
		}
	}
	public class PointPosition : SoundEffectParameter
	{
		public PointPosition()
		{
			Path = "LotusCraft/SoundEffect/PointPosition.wav";
			Count = 16;
		}
	}

	public class Poison : SoundEffectParameter
	{
		public Poison()
		{
			Path = "LotusCraft/SoundEffect/Poison.wav";
			Count = 16;
		}
	}

	public class Alarm00 : SoundEffectParameter
	{
		public Alarm00()
		{
			Path = "LotusCraft/SoundEffect/Alarm00.wav";
			Count = 4;
		}
	}

	public class Alarm01 : SoundEffectParameter
	{
		public Alarm01()
		{
			Path = "LotusCraft/SoundEffect/Alarm01.wav";
			Count = 4;
		}
	}

	public class Bom01 : SoundEffectParameter
	{
		public Bom01()
		{
			Path = "LotusCraft/SoundEffect/Bom01.wav";
			Count = 4;
		}
	}

	public class Bom12 : SoundEffectParameter
	{
		public Bom12()
		{
			Path = "LotusCraft/SoundEffect/Bom12.wav";
			Count = 4;
		}
	}

	public class Cleaner01 : SoundEffectParameter
	{
		public Cleaner01()
		{
			Path = "LotusCraft/SoundEffect/Cleaner01.wav";
			Count = 1;
		}
	}

	public class Cleaner02 : SoundEffectParameter
	{
		public Cleaner02()
		{
			Path = "LotusCraft/SoundEffect/Cleaner02.wav";
			Count = 1;
		}
	}

	public class Jet : SoundEffectParameter
	{
		public Jet()
		{
			Path = "LotusCraft/SoundEffect/jet.wav";
			Count = 1;
		}
	}

	public class Wind : SoundEffectParameter
	{
		public Wind()
		{
			Path = "LotusCraft/SoundEffect/風.wav";
			Count = 1;
		}
	}

	public class BiriBiri : SoundEffectParameter
	{
		public BiriBiri()
		{
			Path = "LotusCraft/SoundEffect/biribiri.wav";
			Count = 10;
		}
	}

	public class Eat : SoundEffectParameter
	{
		public Eat()
		{
			Path = "LotusCraft/SoundEffect/eat.wav";
			Count = 10;
		}
	}

	public class Jishin : SoundEffectParameter
	{
		public Jishin()
		{
			Path = "LotusCraft/SoundEffect/jishin.wav";
			Count = 1;
		}
	}

	public class Shuiin01 : SoundEffectParameter
	{
		public Shuiin01()
		{
			Path = "LotusCraft/SoundEffect/shuiin1.wav";
			Count = 1;
		}
	}
	public class Shuiin02 : SoundEffectParameter
	{
		public Shuiin02()
		{
			Path = "LotusCraft/SoundEffect/shuiin2.wav";
			Count = 1;
		}
	}
	public class Maspa : SoundEffectParameter
	{
		public Maspa()
		{
			Path = "LotusCraft/SoundEffect/maspa.wav";
			Count = 1;
		}
	}

	public class Burst : SoundEffectParameter
	{
		public Burst()
		{
			Path = "LotusCraft/SoundEffect/burst.wav";
			Count = 5;
		}
	}

	public class Cutin : SoundEffectParameter
	{
		public Cutin()
		{
			Path = "LotusCraft/SoundEffect/Cutin.wav";
			Count = 1;
		}
	}

	public class LvUp : SoundEffectParameter
	{
		public LvUp()
		{
			Path = "LotusCraft/SoundEffect/LvUp.wav";
			Count = 1;
		}
	}

	public class Thunder1 : SoundEffectParameter
	{
		public Thunder1()
		{
			Path = "LotusCraft/SoundEffect/Thunder1.wav";
			Count = 8;
		}
	}

	public class Train1 : SoundEffectParameter
	{
		public Train1()
		{
			Path = "LotusCraft/SoundEffect/Train1.wav";
			Count = 8;
		}
	}
}
