﻿#if !_TRIAL
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LotusCraft.Effect.Blue
{
	public class MuishikiEffect : thrts.EffectParameter
	{
		public MuishikiEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/koishi_muisiki_self.efk";
		}
	}

	public class PhilosophyAreaEffect : thrts.EffectParameter
	{
		public PhilosophyAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/koishi_philosophy_area.efk";
		}
	}

	public class RoseAreaEffect : thrts.EffectParameter
	{
		public RoseAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/koishi_rose_area.efk";
		}
	}
	
	public class RoseEffect : thrts.EffectParameter
	{
		public RoseEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/koishi_rose_effect.efk";
		}
	}

	public class DnaAreaEffect : thrts.EffectParameter
	{
		public DnaAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/koishi_dna_hit.efk";
		}
	}

	public class DnaEffect : thrts.TextureEffectParameter
	{
		public DnaEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.FrameCount = 8;
			Animation.FrameTime = 4;
			Animation.Count.X = 4;
			Animation.Count.Y = 2;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Loop;
			Animation.Path = "LotusCraft/Image/TextureEffect/koishi_dna_effect";

			Time = int.MaxValue;
			IsHorizontal = true;
			Is3DMode = true;

		}
	}
}

#endif