﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace thrts.Effect
{
	public class Test : thrts.TextureEffectParameter
	{
		public Test()
		{
			Time = 100;

			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/effect";
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.Center.X = 0;
			Animation.Center.Y = 10;
			Animation.CenterPosition = CenterPosition.MiddleMiddle;
			Animation.FrameCount = 4;
			Animation.FrameTime = 4;
			Animation.HasDirection = true;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Loop;
			Animation.Count.X = 4;
			Animation.Count.Y = 8;
		}
	}
	public class SplashBlue : thrts.TextureEffectParameter
	{
		public SplashBlue()
		{
			Time=23;

			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/Bullet/splash_blue";
			Animation.AlphaBlend = AlphaBlend.Add;
			Animation.Width = 256;
			Animation.Height = 256;
			Animation.Center.X = 128;
			Animation.Center.Y = 128;
			Animation.CenterPosition = CenterPosition.MiddleMiddle;
			Animation.FrameCount = 24;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Stop;
			Animation.Count.X = 3;
			Animation.Count.Y = 8;
		}
	}
}
