﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using LotusCraft.Token;

namespace LotusCraft.Spell
{
	public class CorpseTokenDisplay : thrts.SpellParameter<thrts.IUnit>
	{
		public const string TokenName = CorpseToken.TokenName;
		public CorpseTokenDisplay()
		{
			DefaultLevel = 0;
			MaxLevel = 19;
			Name = TokenName;
			/// レベル別の能力説明無し
			EffectDescriptions = null;

			IsPointIndicator = true;

			/// オートキャスト無し
			SpellAutoCasts = null;

			/// ボタンの位置
			ButtonPosX = thrts.ButtonPosition._4;
			ButtonPosY = thrts.ButtonPosition._1;

			/// トークンの表示ボタンを生成
			SpellButtons = new thrts.ButtonParameter<thrts.IUnit>[]
			{
				new LotusCraft.Button.SpellPointButton(this,"Token/0"),
				new LotusCraft.Button.SpellPointButton(this,"Token/1"),
				new LotusCraft.Button.SpellPointButton(this,"Token/2"),
				new LotusCraft.Button.SpellPointButton(this,"Token/3"),
				new LotusCraft.Button.SpellPointButton(this,"Token/4"),
				new LotusCraft.Button.SpellPointButton(this,"Token/5"),
				new LotusCraft.Button.SpellPointButton(this,"Token/6"),
				new LotusCraft.Button.SpellPointButton(this,"Token/7"),
				new LotusCraft.Button.SpellPointButton(this,"Token/8"),
				new LotusCraft.Button.SpellPointButton(this,"Token/9"),
				new LotusCraft.Button.SpellPointButton(this,"Token/10"),
				new LotusCraft.Button.SpellPointButton(this,"Token/11"),
				new LotusCraft.Button.SpellPointButton(this,"Token/12"),
				new LotusCraft.Button.SpellPointButton(this,"Token/13"),
				new LotusCraft.Button.SpellPointButton(this,"Token/14"),
				new LotusCraft.Button.SpellPointButton(this,"Token/15"),
				new LotusCraft.Button.SpellPointButton(this,"Token/16"),
				new LotusCraft.Button.SpellPointButton(this,"Token/17"),
				new LotusCraft.Button.SpellPointButton(this,"Token/18"),
				new LotusCraft.Button.SpellPointButton(this,"Token/19"),
			};
			/// レベルアップのレベルアップはないためキャンセルを設定
//			LevelUpSpellButton = new LotusCraft.Button.CancelLevelUpSpellButton(this, faction + "/Spell/LevelUp/0");
		}
	}
}
