﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using thrts;

namespace LotusCraft.Unit.Neutral
{
	public class Unique : NeutralBase
	{
		public Unique()
		{
			#region Icon
			IconPath = "LotusCraft/Image/Button/chen";
			#endregion

			#region UnitParams
			Name = "testunit";
			HP = 1350;
			Radius = (float)Utls.UnitSize.Large;
			Speed = 1.0f;

			ViewRange = 10;

			MakingTime = 120*30 ;

			MaximumExists = 1;
			Costs = new [] {400,300,0,0};
			IsUnique = true; 
			#endregion
/*
			#region Animation
			this.SetBoushuenSizeAnimation("LotusCraft/Image/Unit/unit.png");
			#endregion

			#region BuildableObjcets
			BuildingsMade = new[] { "LotusCraft/Building/Test" };
			#endregion

			#region Bullets
			Bullets = new string[] { "LotusCraft.Bullet.Gun" };
			#endregion
			*/
		}

		public override void OnLoad (IFaction faction)
		{
			#region Buttons
			ButtonParams = new thrts.ButtonParameterHolder<thrts.IUnit>[]
			{
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.MoveButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.StopButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.HoldPositionButton ()),
//				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.PatrolButton ()),
//				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.AttackButton ()),
//				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.StationButton ()),
			};
			#endregion

		}
	}
}
