﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 防御のスキルを受ける側
	/// (防御力が上昇する)
	/// </summary>
	public class DefenceAbility : thrts.AbilityTemplate
	{
		public const string AbilityName = "防御";

		public DefenceAbility()
		{
			Name = AbilityName;
			DurationTime = 1 * 30;
		}
		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					{
						unit.Armor = (int)(unit.Armor * 1.25f) + 1; 
					}
					
					break;
				case thrts.AbilityOrder.RateIncParam:
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
