﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 回避のスキルを受ける側
	/// (一瞬だけ防御力が急上昇する)
	/// </summary>
	public class EvasionAbility : thrts.AbilityTemplate
	{
		public const string AbilityName = "回避";

		public EvasionAbility()
		{
			Name = AbilityName;
			DurationTime = 1 * 30;
		}
		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					{
						if (unit.TimeAfterCreated % 5 == 0)
						{
							unit.Armor = unit.Armor += 10000; 
						}
					}
					break;
				case thrts.AbilityOrder.RateIncParam:
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
