﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Ability
{
	/// <summary>
	/// 威圧のスキルを受ける側
	/// (速度が減少する)
	/// </summary>
	public class FearAbility : thrts.AbilityTemplate
	{
		public const string AbilityName = "威圧";

		public FearAbility()
		{
			Name = AbilityName;
			DurationTime = 1 * 30;
		}
		public override bool ExecUnitAbility(thrts.IUnit unit, thrts.AbilityOrder order)
		{
			switch (order)
			{
				case thrts.AbilityOrder.ConstDecParam:
					break;
				case thrts.AbilityOrder.RateDecParam:
					break;
				case thrts.AbilityOrder.ConstIncParam:
					{
						unit.Speed *= 0.75f;
					}

					break;
				case thrts.AbilityOrder.RateIncParam:
					break;
				case thrts.AbilityOrder.OtherExecs:
					break;
				default:
					break;
			}

			return true;
		}
	}
}
