﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using thrts;
namespace PatchSto.Faction
{
	public class White : thrts.FactionParameter
	{
		public White ()
		{
			Name = "ぱちぇ☆すと";
			DefaultScreenPosition = new thrts.Point2D (-480, -640);

			Units = new string[] { 
				typeof(Unit.Reimu).FullName,
				typeof(Unit.Marisa).FullName,
				typeof(Unit.Suika).FullName,
				typeof(Unit.Sanae).FullName,
				typeof(Unit.Alice).FullName,

				typeof(Unit.Doll).FullName,
				typeof(Unit.SuikaSmall).FullName,

				typeof(Unit.Nazrin).FullName,
				typeof(Unit.Minamitsu).FullName,
				typeof(Unit.Shou).FullName,
				typeof(Unit.Byakuren).FullName,
				typeof(Unit.UFO).FullName,

				typeof(Unit.Chen).FullName,
				typeof(Unit.Ran).FullName,
				typeof(Unit.Youmu).FullName,
				typeof(Unit.Yuyuko).FullName,
				typeof(Unit.Yukari).FullName,

				typeof(Unit.Meirin).FullName,
				typeof(Unit.Sakuya).FullName,
				typeof(Unit.Patchouli).FullName,
				typeof(Unit.Remilia).FullName,
				typeof(Unit.Flandre).FullName,

				typeof(Unit.SunnyMilk).FullName,
				typeof(Unit.LunarChild).FullName,
				typeof(Unit.StarSapphire).FullName,
				typeof(Unit.HighFairy).FullName,
				typeof(Unit.Kedama).FullName,
				
				typeof(Unit.BossReimu).FullName,
				typeof(Unit.BossRemilia).FullName,
				typeof(Unit.BossAlice).FullName,

			};

			Buildings = new string[] { 
				typeof(Building.Library).FullName,
			};


			TextureEffects = new string[] { 
				typeof(Effect.FreezingTextureEffect).FullName,
				typeof(Effect.NextTextureEffect).FullName,
				typeof(Effect.AuraTextureEffect).FullName,
				typeof(Effect.KaminokazeTextureEffect).FullName,
				typeof(Effect.NormalHitOrangeTextureEffect).FullName,
				typeof(Effect.NormalHitGreenTextureEffect).FullName,
				typeof(Effect.NormalHitBlueTextureEffect).FullName,
				typeof(Effect.NormalHitPurpleTextureEffect).FullName,
				typeof(Effect.NormalHitRedTextureEffect).FullName,
				typeof(Effect.NormalHitYellowTextureEffect).FullName,
				typeof(Effect.ColumnHitRedTextureEffect).FullName,
				typeof(Effect.ColumnHitGreenTextureEffect).FullName,
				typeof(Effect.ColumnHitBlueTextureEffect).FullName,
				typeof(Effect.BombHitTextureEffect).FullName,
				typeof(Effect.BombHitRedTextureEffect).FullName,
				typeof(Effect.BombHitGreenTextureEffect).FullName,
				typeof(Effect.BombHitBlueTextureEffect).FullName,
			};

			SoundEffects = new string[]
			{
				typeof(SoundEffect.BreakBuildingSE).FullName,
				typeof(SoundEffect.ChooseUnit).FullName,
				typeof(SoundEffect.Click).FullName,
				typeof(SoundEffect.CreatedUnit).FullName,
				typeof(SoundEffect.CreatedBuilding).FullName,
				typeof(SoundEffect.EndCharge).FullName,
				typeof(SoundEffect.EndResearch).FullName,
				typeof(SoundEffect.EndRevolution).FullName,
				typeof(SoundEffect.FailedClick).FullName,
				typeof(SoundEffect.HitLongRangeAttack).FullName,
				typeof(SoundEffect.HitShortRangeAttack).FullName,
				typeof(SoundEffect.HitZangeki).FullName,
				typeof(SoundEffect.HitDageki).FullName,
				typeof(SoundEffect.HitOther).FullName,
				typeof(SoundEffect.PCH).FullName,
				typeof(SoundEffect.PointPosition).FullName,
				typeof(SoundEffect.Alarm01).FullName,
				typeof(SoundEffect.Charge1).FullName,
				typeof(SoundEffect.Charge2).FullName,
				typeof(SoundEffect.BiriBiri).FullName,
				typeof(SoundEffect.Maspa).FullName,
				typeof(SoundEffect.Burst).FullName,
				typeof(SoundEffect.Jet).FullName,
				typeof(SoundEffect.Shuiin01).FullName,
				typeof(SoundEffect.Shuiin02).FullName,
				typeof(SoundEffect.LvUp).FullName,
				typeof(SoundEffect.Wind).FullName,
				typeof(SoundEffect.Bom01).FullName,
				typeof(SoundEffect.Bom12).FullName,
			};

			Effects = new string[] { 
				typeof(Effect.CreateUnitEffect).FullName,
				typeof(Effect.DeadUnitEffect).FullName,
				typeof(Effect.PillarAreaEffect).FullName,
				typeof(Effect.KinfuEffect).FullName,
				typeof(Effect.ShimofuEffect).FullName,
			};

			/*

			Effects = new string[] {  
				typeof(Effect.Common.CreateBuildingEffect).FullName,
				typeof(BreakBuilding).FullName, 
				typeof(Effect.Common.DissolveBuilding).FullName, 

				typeof(Arrow).FullName, 
				typeof(Stronghold).FullName,
				typeof(Barracks).FullName,
				typeof(BarracksReactor).FullName,
				typeof(Factories).FullName,
				typeof(Airports).FullName,
				typeof(CollectAlcohol).FullName,
				typeof(CollectPowerStone).FullName,

				typeof(Effect.Common.AttackBombEffect).FullName,
				typeof(Effect.Common.AttackBombAreaEffect).FullName,
				typeof(Effect.Common.FastBombEffect).FullName,
				typeof(Effect.Common.FastBombAreaEffect).FullName,
				typeof(Effect.Common.IncreaseBombAreaEffect).FullName,
				typeof(Effect.Common.ReviveBombEffect).FullName,
				typeof(Effect.Common.TownPortalBombEffect).FullName,


				typeof(Effect.Common.CircleAreaEffect).FullName,
				typeof(Effect.Common.DebuffEffect).FullName,
				typeof(Effect.Common.HitRemoteWhiteEffect).FullName,
				typeof(Effect.Common.HitRemoteBlueEffect).FullName,
				typeof(Effect.Common.HitRemoteRedEffect).FullName,
				typeof(Effect.Common.HitRemoteGreenEffect).FullName,
				typeof(Effect.Common.HitCloseRedEffect).FullName,
				typeof(Effect.Common.HitCloseBlueEffect).FullName,
				typeof(Effect.Common.HitCloseGreenEffect).FullName,
                typeof(Effect.Common.HitCloseWhiteEffect).FullName,
				typeof(Effect.Common.HitSplashRedEffect).FullName,
				typeof(Effect.Common.HitSplashBlueEffect).FullName,
				typeof(Effect.Common.HitSplashGreenEffect).FullName,

				typeof(Effect.Common.LvUpEffect).FullName,
				typeof(Effect.Common.DeadUniqueEffect).FullName,
				typeof(Effect.Common.DeadUnitEffect).FullName,

				typeof(Effect.Common.CreateBuildingEffect).FullName,
				typeof(Effect.Common.CompleteBuildingEffect).FullName,
				typeof(Effect.Common.CreateUnitEffect).FullName,

				typeof(Effect.Common.UnitCollectAlcoholEffect).FullName,
				typeof(Effect.Common.UnitCollectPowerStoneEffect).FullName,

				typeof(Effect.Common.ChargeEffect).FullName,

				typeof(HitSplashRedEffect).FullName,
				typeof(HitSplashBlueEffect).FullName,
				typeof(HitSplashGreenEffect).FullName,

				typeof(DeadUnitEffect).FullName,
				typeof(DeadUniqueEffect).FullName,

				typeof(CommonBolEffect).FullName, 
				typeof(CommonBolAreaEffect).FullName, 
				typeof(RangeCircleEffect).FullName, 
				typeof(HealEffect).FullName, 
				typeof(BackLightEffect).FullName, 
				typeof(StanEffect).FullName,

				typeof(NijuKekkaiEffect).FullName,
				typeof(NijuKekkaiAreaEffect).FullName,
				typeof(KibakujinEffect).FullName,
				typeof(KibakujinAreaEffect).FullName,
				typeof(MusoHuinAreaEffect).FullName,
				typeof(MusoHuinChargeEffect).FullName,
				typeof(MusoHuinRedBulletEffect).FullName,
				typeof(MusoHuinRedHitEffect).FullName,
				typeof(MusoHuinBlueBulletEffect).FullName,
				typeof(MusoHuinBlueHitEffect).FullName,
				typeof(MusoHuinGreenBulletEffect).FullName,
				typeof(MusoHuinGreenHitEffect).FullName,
				typeof(DaiKekkaiEffect).FullName,
				typeof(DaiKekkaiChargeEffect).FullName,
				typeof(DaiKekkaiShotEffect).FullName,

				typeof(KiokuEffect).FullName,
				typeof(GumonziEffect).FullName,
				typeof(HiedaEffect).FullName,
				typeof(MiareAreaEffect).FullName,
				typeof(MiareEffect).FullName,

				typeof(MarisaSparkAreaEffect).FullName,
				typeof(MarisaMasterSparkAreaEffect).FullName,
				typeof(MarisaStarAreaEffect).FullName,
				typeof(MarisaBlazingAreaEffect).FullName,
				typeof(MarisaOrreriesSunRed).FullName,
				typeof(MarisaOrreriesSunBlue).FullName,
				typeof(MarisaOrreriesSunGreen).FullName,
				typeof(MarisaOrreriesSunPurple).FullName,
				typeof(MarisaOrreriesSunOrange).FullName,
				typeof(MarisaOrreriesSunYellow).FullName,
				typeof(MarisaOrreriesSunArea).FullName,

				typeof(KaguyaMobAreaEffect).FullName,
				typeof(KaguyaMobHitEffect).FullName,
				typeof(KaguyaMobHitBigEffect).FullName,
				typeof(KaguyaMobFlashEffect).FullName,
				typeof(KaguyaMobChangeEffect).FullName,
			};

			ModelEffects = new string[]
			{
				typeof(KaguyaMobAreaModelEffect).FullName,
			};

			SoundEffects = new string[]
			{
				typeof(SoundEffect.BreakBuildingSE).FullName,
				typeof(SoundEffect.ChooseUnit).FullName,
				typeof(SoundEffect.Click).FullName,
				typeof(SoundEffect.CreatedUnit).FullName,
				typeof(SoundEffect.CreatedBuilding).FullName,
				typeof(SoundEffect.EndCharge).FullName,
				typeof(SoundEffect.EndResearch).FullName,
				typeof(SoundEffect.EndRevolution).FullName,
				typeof(SoundEffect.FailedClick).FullName,
				typeof(SoundEffect.HitLongRangeAttack).FullName,
				typeof(SoundEffect.HitShortRangeAttack).FullName,
				typeof(SoundEffect.HitZangeki).FullName,
				typeof(SoundEffect.HitDageki).FullName,
				typeof(SoundEffect.HitOther).FullName,
				typeof(SoundEffect.PCH).FullName,
				typeof(SoundEffect.PointPosition).FullName,
				typeof(SoundEffect.Alarm01).FullName,
				typeof(SoundEffect.Charge1).FullName,
				typeof(SoundEffect.Charge2).FullName,
				typeof(SoundEffect.BiriBiri).FullName,
				typeof(SoundEffect.Maspa).FullName,
				typeof(SoundEffect.Burst).FullName,
				typeof(SoundEffect.Jet).FullName,
				typeof(SoundEffect.Shuiin01).FullName,
				typeof(SoundEffect.Shuiin02).FullName,
				typeof(SoundEffect.LvUp).FullName,
				typeof(SoundEffect.Wind).FullName,

				typeof(SoundEffect.Bom01).FullName,
				typeof(SoundEffect.Bom12).FullName,
			};
			

			CommonUnitButton = new List<ButtonParameterHolder<IUnit>>(){
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.MoveButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.StopButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.HoldPositionButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.PatrolButton ()),
				new thrts.ButtonParameterHolder<thrts.IUnit> (new LotusCraft.Button.AttackMoveButton ()),
			};
			*/
		}
	}
}
