﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PatchSto.Unit
{
	public class BossUnitParameter : CommonUnitParameter
	{
		public BossUnitParameter()
		{
			IsBoss = true;
			Radius = 12;
			ViewRange = 12 * thrts.Def.MapTipLengthOnField;
		}

		public override void OnVanish(thrts.IUnit unit)
		{
			var library = unit.Faction.World.BuildingManager.GetBuildings(_ => true).FirstOrDefault();
			if (library != null)
			{
				library.Parameter.Armor = library.Parameter.Armor + 5;
				library.Armor = library.Parameter.Armor;
			}

			base.OnVanish(unit);
		}
	}
}
