﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace thrts.Building
{
	public class Rock : thrts.BuildingParameter
	{
		public Rock()
		{
			IconPath = "LotusCraft/Image/Button/building";
			Name = "岩(8000)";
			Size = 4;
			ViewRange = 5;
			
			
			HP = 8000;
			
			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/Building/building";
			Animation.Width = 256;
			Animation.Height = 208;
			Animation.Center.X = 0;
			Animation.Center.Y = -64;
			Animation.CenterPosition = CenterPosition.LowerMiddle;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Loop;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			
			BuildingAnimation = Animation;
			
			ObjectPath = "LotusCraft/3D/Model/Rock.mdl";
			//BuildingObjectPath = "LotusCraft/3D/Model/BuildingUnderConstruction4.mdl";
			ConstructionPlannedObjectPath = "LotusCraft/3D/Model/BuildingConstructionPlanned4.mdl";
			IsAttackedAutomatically = false;
			IsBuiltOnRamp = true;

		}
	}
	public class Rock_1500 : thrts.BuildingParameter
	{
		public Rock_1500()
		{
			IconPath = "LotusCraft/Image/Button/building";
			Name = "岩(1500)";
			Size = 4;
			ViewRange = 5;
			
			
			HP = 1500;
			
			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/Building/building";
			Animation.Width = 256;
			Animation.Height = 208;
			Animation.Center.X = 0;
			Animation.Center.Y = -64;
			Animation.CenterPosition = CenterPosition.LowerMiddle;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Loop;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			
			BuildingAnimation = Animation;
			
			ObjectPath = "LotusCraft/3D/Model/Rock.mdl";
			//BuildingObjectPath = "LotusCraft/3D/Model/BuildingUnderConstruction4.mdl";
			ConstructionPlannedObjectPath = "LotusCraft/3D/Model/BuildingConstructionPlanned4.mdl";
			IsAttackedAutomatically = false;

			IsBuiltOnRamp = true;

		}
	}
	public class Rock_3000 : thrts.BuildingParameter
	{
		public Rock_3000()
		{
			IconPath = "LotusCraft/Image/Button/building";
			Name = "岩(3000)";
			Size = 4;
			ViewRange = 5;
			
			
			HP = 3000;
			
			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/Building/building";
			Animation.Width = 256;
			Animation.Height = 208;
			Animation.Center.X = 0;
			Animation.Center.Y = -64;
			Animation.CenterPosition = CenterPosition.LowerMiddle;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Loop;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			
			BuildingAnimation = Animation;
			
			ObjectPath = "LotusCraft/3D/Model/Rock.mdl";
			//BuildingObjectPath = "LotusCraft/3D/Model/BuildingUnderConstruction4.mdl";
			ConstructionPlannedObjectPath = "LotusCraft/3D/Model/BuildingConstructionPlanned4.mdl";

			IsAttackedAutomatically = false;
			IsBuiltOnRamp = true;

		}
	}
	public class Rock_4500 : thrts.BuildingParameter
	{
		public Rock_4500()
		{
			IconPath = "LotusCraft/Image/Button/building";
			Name = "岩(4500)";
			Size = 4;
			ViewRange = 5;
			
			
			HP = 4500;
			
			Animation = new TextureAnimation();
			Animation.Path = "LotusCraft/Image/Building/building";
			Animation.Width = 256;
			Animation.Height = 208;
			Animation.Center.X = 0;
			Animation.Center.Y = -64;
			Animation.CenterPosition = CenterPosition.LowerMiddle;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.LoopType = TextureAnimation.AnimetionLoopType.Loop;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			
			BuildingAnimation = Animation;
			
			ObjectPath = "LotusCraft/3D/Model/Rock.mdl";
			//BuildingObjectPath = "LotusCraft/3D/Model/BuildingUnderConstruction4.mdl";
			ConstructionPlannedObjectPath = "LotusCraft/3D/Model/BuildingConstructionPlanned4.mdl";

			IsAttackedAutomatically = false;
			IsBuiltOnRamp = true;

		}
	}
}
