﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LotusCraft.Effect.Common
{
	#region 内政

	public class AlcoholIconEffect : thrts.TextureEffectParameter
	{
		public AlcoholIconEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "System/Effect/da_images";

			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Loop;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.Center = new thrts.Point2D(16, 16);
			Animation.AlphaBlend = thrts.AlphaBlend.Blend;
			Animation.Offset.X = 32 * 0;
			Animation.Offset.Y = 32;

			Time = 20;
			ColorVelocity.A = -1.0f / 20.0f;
		}
	}

	public class ReiryokuIconEffect : thrts.TextureEffectParameter
	{
		public ReiryokuIconEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "System/Effect/da_images";

			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Loop;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.Center = new thrts.Point2D(16, 16);
			Animation.AlphaBlend = thrts.AlphaBlend.Blend;
			Animation.Offset.X = 32 * 1;
			Animation.Offset.Y = 32;

			Time = 20;
			ColorVelocity.A = -1.0f / 20.0f;
		}
	}

	#endregion

	public class NormalHitOrangeTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitOrangeTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class NormalHitGreenTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitGreenTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 32 * 1;
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class NormalHitBlueTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitBlueTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 32 * 2;
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class NormalHitPurpleTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitPurpleTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 32 * 3;
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class NormalHitRedTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitRedTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.X = 512 * 1;
			Animation.Offset.Y = 32 * 0;
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class NormalHitYellowTextureEffect : thrts.TextureEffectParameter
	{
		public NormalHitYellowTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.X = 512 * 1;
			Animation.Offset.Y = 32 * 1;
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 10;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 10;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 11;
		}
	}

	public class ColumnHitRedTextureEffect : thrts.TextureEffectParameter
	{
		public ColumnHitRedTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 128;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64 * 2;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 2;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -6;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64 * 2;
		}
	}

	public class ColumnHitBlueTextureEffect : thrts.TextureEffectParameter
	{
		public ColumnHitBlueTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 256;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64 * 2;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 2;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -6;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64 * 2;
		}
	}

	public class ColumnHitGreenTextureEffect : thrts.TextureEffectParameter
	{
		public ColumnHitGreenTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 256 + 128;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64 * 2;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 2;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -6;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64 * 2;
		}
	}

	public class BombHitTextureEffect : thrts.TextureEffectParameter
	{
		public BombHitTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 512;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -32;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64;
		}
	}

	public class BombHitRedTextureEffect : thrts.TextureEffectParameter
	{
		public BombHitRedTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 512 + 64;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -32;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64;
		}
	}

	public class BombHitGreenTextureEffect : thrts.TextureEffectParameter
	{
		public BombHitGreenTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 512 + 64 * 2;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -32;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64;
		}
	}

	public class BombHitBlueTextureEffect : thrts.TextureEffectParameter
	{
		public BombHitBlueTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/normalHitEffect";

			Animation.Offset.Y = 512 + 64 * 3;
			Animation.Width = 64;
			Animation.Height = 64;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1024 / 64;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1024 / 64;
			Animation.Count.Y = 1;
			Animation.CenterPosition = thrts.CenterPosition.LowerMiddle;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.Center.Y = -32;
			Animation.Scale.X = 1.4f;
			Animation.Scale.Y = 1.4f;

			Time = 1024 / 64;
		}
	}

	public class Area8TextureEffect : thrts.TextureEffectParameter
	{
		public Area8TextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/area";

			Animation.Width = 128;
			Animation.Height = 128;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			Animation.AlphaBlend = thrts.AlphaBlend.Blend;
			
			Color.B = 0.5f;
			Color.G = 0.5f;
			Color.A = 0.7f;
			Time = int.MaxValue;
			Is3DMode = true;
			IsHorizontal = true;

			Scale = 4.0f / 4.0f;
		}
	}

	public class ExclamationMarkTextureEffect : thrts.TextureEffectParameter
	{
		public ExclamationMarkTextureEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Path = "LotusCraft/Image/TextureEffect/exclamationMark";

			Animation.Width = 32;
			Animation.Height = 32;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Stop;
			Animation.FrameCount = 1;
			Animation.FrameTime = 1;
			Animation.HasDirection = false;
			Animation.Count.X = 1;
			Animation.Count.Y = 1;
			Animation.AlphaBlend = thrts.AlphaBlend.Blend;
			Animation.Scale.X = 1.0f;
			Animation.Scale.Y = 1.0f;

			Time = 30;
		}
	}

	public class CompleteBuildingEffect : thrts.EffectParameter
	{
		public CompleteBuildingEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_CompleteBuilding.efk";
		}
	}

	public class CreateBuildingEffect : thrts.EffectParameter
	{
		public CreateBuildingEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_CreateBuilding.efk";
		}
	}

	public class CreateUnitEffect : thrts.EffectParameter
	{
		public CreateUnitEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_CreateUnit.efk";
		}
	}

	public class UnitCollectAlcoholEffect : thrts.EffectParameter
	{
		public UnitCollectAlcoholEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unitCollectAlchol.efk";
		}
	}

	public class UnitCollectPowerStoneEffect : thrts.EffectParameter
	{
		public UnitCollectPowerStoneEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unitCollectPowerStone.efk";
		}
	}

	public class SenkaiBackgroundEffect : thrts.EffectParameter
	{
		public SenkaiBackgroundEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/senkai_background.efk";
			Name = "仙界背景";
			IsEnabledInMap = true;
		}
	}

	public class KyuutoLavaEffect : thrts.EffectParameter
	{
		public KyuutoLavaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/kyuuto_lava.efk";
			Name = "旧都溶岩";
			IsEnabledInMap = true;
		}
	}

	public class LvUpEffect : thrts.EffectParameter
	{
		public LvUpEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_levelup.efk";
		}
	}

	public class CircleAreaEffect : thrts.EffectParameter
	{
		public CircleAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/sanae_hakuchu_self.efk";
		}
	}

	public class LetyEffect : thrts.EffectParameter
	{
		public LetyEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/lety_m_effect.efk";
		}
	}

	public class HighFairyEffect : thrts.EffectParameter
	{
		public HighFairyEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/highfairy_m_effect.efk";
		}
	}
	
	public class MamizouEffect : thrts.EffectParameter
	{
		public MamizouEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/mamizou_m_effect.efk";
		}
	}
	
	public class KokoroKirouEffect : thrts.EffectParameter
	{
		public KokoroKirouEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/kokoro_m_kirou.efk";
		}
	}

	public class KokoroKurumaEffect : thrts.EffectParameter
	{
		public KokoroKurumaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/kokoro_m_kuruma.efk";
		}
	}

	public class KokoroShishiEffect : thrts.EffectParameter
	{
		public KokoroShishiEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/kokoro_m_shishi.efk";
		}
	}

	public class DebuffEffect : thrts.EffectParameter
	{
		public DebuffEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/reimu_happou_effect.efk";
		}
	}

    public class HitCloseRedEffect : thrts.EffectParameter
    {
        public HitCloseRedEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitClose_red.efk";
        }
    }
    public class HitCloseWhiteEffect : thrts.EffectParameter
    {
        public HitCloseWhiteEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitClose_white.efk";
        }
    }
    public class HitCloseGreenEffect : thrts.EffectParameter
    {
        public HitCloseGreenEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitClose_green.efk";
        }
    }
    public class HitCloseBlueEffect : thrts.EffectParameter
    {
        public HitCloseBlueEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitClose_blue.efk";
        }
    }
    public class HitRemoteWhiteEffect : thrts.EffectParameter
    {
        public HitRemoteWhiteEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitRemote_white.efk";
        }
    }
    public class HitRemoteBlueEffect : thrts.EffectParameter
    {
        public HitRemoteBlueEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitRemote_blue.efk";
        }
    }
    public class HitRemoteRedEffect : thrts.EffectParameter
    {
        public HitRemoteRedEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitRemote_red.efk";
        }
    }
    public class HitRemoteGreenEffect : thrts.EffectParameter
    {
        public HitRemoteGreenEffect()
        {
            EffectPath = "LotusCraft/3D/Effect/common_HitRemote_green.efk";
        }
    }
	public class HitSplashRedEffect : thrts.EffectParameter
	{
		public HitSplashRedEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/HitSplash_red.efk";
		}
	}
	public class HitSplashBlueEffect : thrts.EffectParameter
	{
		public HitSplashBlueEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/HitSplash_blue.efk";
		}
	}
	public class HitSplashGreenEffect : thrts.EffectParameter
	{
		public HitSplashGreenEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/HitSplash_green.efk";
		}
	}

	public class DissolveBuilding : thrts.EffectParameter
	{
		public DissolveBuilding()
		{
			EffectPath = "LotusCraft/3D/Effect/common_disolvingBuilding.efk";
		}
	}

	public class DeadUniqueEffect : thrts.EffectParameter
	{
		public DeadUniqueEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unique_dead.efk";
		}
	}

	public class DeadUnitEffect : thrts.EffectParameter
	{
		public DeadUnitEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unit_dead.efk";
		}
	}

	public class ChargeEffect : thrts.EffectParameter
	{
		public ChargeEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_charge_yerrow.efk";
		}
	}

	public class AttackBombAreaEffect : thrts.EffectParameter
	{
		public AttackBombAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_bomb_attack.efk";
		}
	}
	public class AttackBombEffect : thrts.EffectParameter
	{
		public AttackBombEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/sanae_kaminokaze_effect.efk";
		}
	}
	public class FastBombAreaEffect : thrts.EffectParameter
	{
		public FastBombAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_bomb_fast.efk";
		}
	}
	public class FastBombEffect : thrts.EffectParameter
	{
		public FastBombEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/sanae_kaminokaze_effect.efk";
		}
	}
	public class IncreaseBombAreaEffect : thrts.EffectParameter
	{
		public IncreaseBombAreaEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_bomb_increase.efk";
		}
	}
	public class IncreaseBombEffect : thrts.TextureEffectParameter
	{
		public IncreaseBombEffect()
		{
			Animation = new thrts.TextureAnimation();
			Animation.Width = 32;
			Animation.Height = 32;
			Animation.CenterPosition = thrts.CenterPosition.MiddleMiddle;
			Animation.FrameCount = 4;
			Animation.FrameTime = 4;
			Animation.Count.X = 4;
			Animation.Count.Y = 1;
			Animation.AlphaBlend = thrts.AlphaBlend.Add;
			Animation.LoopType = thrts.TextureAnimation.AnimetionLoopType.Loop;
			Animation.Path = "LotusCraft/Image/TextureEffect/kasen_yukaku_effect";

			Time = int.MaxValue;
			IsHorizontal = true;
			Is3DMode = true;
		}
	}
	public class ReviveBombEffect : thrts.EffectParameter
	{
		public ReviveBombEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_bomb_revive.efk";
		}
	}
	public class TownPortalBombEffect : thrts.EffectParameter
	{
		public TownPortalBombEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_bomb_return.efk";
		}
	}

	public class DownDPSEffect : thrts.EffectParameter
	{
		public DownDPSEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_down_atkrate.efk";
		}
	}

}
