﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LotusCraft.Effect.White
{
	public class Arrow : thrts.EffectParameter
	{
		public Arrow()
		{
			EffectPath = "System/Effect/ClickPoint.efk";
		}
	}

	public class CreateBuilding : thrts.EffectParameter
	{
		public CreateBuilding()
		{
			EffectPath = "LotusCraft/3D/Effect/CreateBuilding.efk";
		}
	}
	public class BreakBuilding : thrts.EffectParameter
	{
		public BreakBuilding()
		{
			EffectPath = "LotusCraft/3D/Effect/BreakBuilding.efk";
		}
	}
	

	public class Stronghold : thrts.EffectParameter
	{
		public Stronghold()
		{
			EffectPath = "LotusCraft/3D/Effect/Stronghold_White.efk";
		}
	}

	public class Barracks : thrts.EffectParameter
	{
		public Barracks()
		{
			EffectPath = "LotusCraft/3D/Effect/common_barracks.efk";
		}
	}

	public class BarracksReactor : thrts.EffectParameter
	{
		public BarracksReactor()
		{
			EffectPath = "LotusCraft/3D/Effect/common_barracks_reactor.efk";
		}
	}

	public class Factories : thrts.EffectParameter
	{
		public Factories()
		{
			EffectPath = "LotusCraft/3D/Effect/Factory.efk";
		}
	}

	public class Airports : thrts.EffectParameter
	{
		public Airports()
		{
			EffectPath = "LotusCraft/3D/Effect/Airport.efk";
		}
	}

	public class CollectAlcohol : thrts.EffectParameter
	{
		public CollectAlcohol()
		{
			EffectPath = "LotusCraft/3D/Effect/CollectAlcohol.efk";
		}
	}

	public class CollectPowerStone : thrts.EffectParameter
	{
		public CollectPowerStone()
		{
			EffectPath = "LotusCraft/3D/Effect/CollectPowerStone.efk";
		}
	}

	public class DeadUnitEffect : thrts.EffectParameter
	{
		public DeadUnitEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unit_dead.efk";
		}
	}

	public class DeadUniqueEffect : thrts.EffectParameter
	{
		public DeadUniqueEffect()
		{
			EffectPath = "LotusCraft/3D/Effect/common_unique_dead.efk";
		}
	}
}
