﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using thrts;
namespace LotusCraft.Spell.FactionName
{
	class SpellToPosition:thrts.SpellParameter<thrts.IUnit>
	{
		public SpellToPosition()
		{
			DefaultLevel = 0;
			MaxLevel = 3;
			Name = "SpellName";
			string basePath = "FactionName/Spell/SpellToPosition/";
			/// レベル別の能力説明
			EffectDescriptions = new string[]
			{
				"lv1効果",
				"lv2効果",
				"lv3効果",
			};

			/// ボタンの位置
			ButtonPosX = thrts.ButtonPosition._1;
			ButtonPosY = thrts.ButtonPosition._2;
			LvUpButtonPosX = ButtonPosX;
			LvUpButtonPosY = thrts.ButtonPosition._1;

			/// オートキャスト無し
			SpellAutoCasts = null;
			/// スペルのボタンを生成
			SpellButtons = new thrts.ButtonParameter<thrts.IUnit>[]
			{
				new LotusCraft.Button.SpellButton<thrts.IUnit>(this,basePath + "0",0),
				new LotusCraft.Button.SpellButton<thrts.IUnit>(this,basePath + "1",PrivilegeModeSpelling,1),
				new LotusCraft.Button.SpellButton<thrts.IUnit>(this,basePath + "2",PrivilegeModeSpelling,2),
				new LotusCraft.Button.SpellButton<thrts.IUnit>(this,basePath + "3",PrivilegeModeSpelling,3),
			};
			LevelUpSpellButton = new LotusCraft.Button.LevelUpSpellButton(this, basePath + "LvUp");
		}
		public IEnumerable<object> PrivilegeModeSpelling(thrts.IUnit selfUnit, Vector2D targetPos, int level)
		{
			yield return true;
		}
		public bool Spelling (thrts.IUnit selfUnit, Vector2D targetPos, int level)
		{
			return true;
		}
	}
}
